#!/usr/bin/env node
const config = require('../lib/config.json');
const path = require('path');
const process = require('process');
const rootPath = process.cwd();
require('shelljs/global');

const prompt = require('../lib/prompt.js');
const downLoadFrame = require('../lib/downLoadFrame.js');
const createCombJson = require('../lib/createCombJson.js');
var createIgnore = require('../lib/createIgnore.js');

let combJsonOpt = {
    version: config.frame.version
}
function create () {
    createCombJson(combJsonOpt).then((data) => {
        const frameOpt = Object.assign(config.frame, data); // 将后期输入配置与默认配置merge
        downLoadFrame(frameOpt).then(() => {
            createIgnore();
            echo('开始安装框架依赖包'.yellow);
            exec('npm install');
            echo('done'.green);
        });
    });
}
module.exports = create;
